1

I am having problems with \usepackage using a custom document class. An error was returned whenever \usepackage was used. Please help me.

\documentclass{ws-srl}
\usepackage{caption}

\begin{document}

The error returned is:

 "! LaTeX Error: \RequirePackage or \LoadClass in Options Section.See the LaTeX manual or LaTeX Companion for explanation.Type H <return> for immediate help...."

I added \usepackage{caption} in the class file. But it returned another error

 "! LaTeX Error: Command \captionbox already defined.Or name \end... illegal, see p.192 of the manual.See the LaTeX manual or LaTeX Companion for explanation.Type H <return> for immediate help.... ...ption@withoptargs{\caption@ibox\@gobble}}"

The class file and tex file can be found in the following link

Tex and class file

The complete folder is given below

Tex folder

  • Welcome to TeX.SX! I don't get the first error, only the second one; from what I can see, the class is not compatible with the caption package: it happens for several custom classes. This one is particularly nasty, I'm afraid. Use it only if you're really forced to. – egreg Nov 4 '15 at 8:09
  • I fear, the class file is too old and too unmaintained. – user31729 Nov 4 '15 at 8:14
  • @egreg Do you want to take any action here? – Johannes_B Aug 6 '16 at 16:11
  • @Johannes_B Answered – egreg Aug 6 '16 at 19:56
2

The second error is raised because the caption package is not compatible with the ws-srl class. It's a class designed for submissions to World Scientific publications and they decide the format.

The first error is probably due to an outdated version of the class, as the one I downloaded does not produce it.

  • Another one off the list :-) – Johannes_B Aug 6 '16 at 19:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.